=== shared/Makefile ===
ROOT_DIR = ..
include $(ROOT_DIR)/Makefile.common
