=== toxy/Makefile ===
ROOT_DIR = ..
WIDPATH = $(ROOT_DIR)/test/toxy/setup.wid
WIQFILE = $(notdir $(WIDPATH:.wid=.wiq))
redefault: checkwiq $(WIQFILE) default
checkwiq:
	@if [ -f $(WIQFILE) ] && ! [ -s $(WIQFILE) ] ; then \
		echo ERROR: empty file $(WIQFILE)... removed ; \
		rm -f $(WIQFILE) ; fi
$(WIQFILE): $(WIDPATH)
	@echo transferring widget definitions from \"$<\" to \"$@\"
# LATER think how to replace puts with pdtk_post
	printf '// Do not edit this file (edit "$<", and run "make").\n//\nputs stderr [concat loading built-in widget definitions]\n' \
	| cat - $< | sed \
-e '1,\|//$$|{p;d;}' \
-e 's/\([\\\"]\)/\\\1/g' \
-e 's/^.*$$/\"&\\n\"/' > $@
	@if [ -f $(WIQFILE) ] && ! [ -s $(WIQFILE) ] ; then \
		echo ERROR: transfer failed... $(WIQFILE) removed ; \
		rm -f $(WIQFILE) ; fi
include $(ROOT_DIR)/Makefile.common
