=== cyclone/sickle/Makefile ===
ROOT_DIR = ../..
redefault: allsickles.c default
include $(ROOT_DIR)/Makefile.common
