=== shared/unstable/Makefile ===
ROOT_DIR = ../..
include $(ROOT_DIR)/Makefile.common

all: $(OBJECTS)
