=== debian/changelog ===
pd-cyclone (0.1~alpha55-7) unstable; urgency=low

  [ Hans-Christoph Steiner ]
  * Bumped Standards-Version to 3.9.4
  * Updated to copyright-format/1.0
  * Removed 'DM-Upload-Allowed: yes', its deprecated

  [ IOhannes m zmölnig ]
  * Fixed out-of-bound array access (Closes: #715772)
  * Removed unneeded patches
  * Exported CFLAGS and LDFLAGS
    * Added patch to allow passing of extra FLAGS
    * Enabled hardening-flags
  * Dropped Build-Depends on "puredata" (keep only "puredata-dev")
  * Used more CDBS features for packaging
    * Unconditionally included cdbs/utils.mk
    * Used cdbs/pd.mk snippet
    * Switched to debian/control.in
    * Added README.source to emphasize control.in file as *not* a show-stopper
      for contributions.
  * Added lintian-override: upstream comes without Changelog
  * Used canonical Vcs-* stanzas
  * Added myself to uploaders
  * Updated debian/watch
  * Updated debian/copyright
  * Regenerated debian/copyright_hints
  * Bumped Standards-Version to 3.9.5

 -- Felipe Sateler <fsateler@debian.org>  Fri, 21 Mar 2014 11:21:10 -0300

pd-cyclone (0.1~alpha55-6) unstable; urgency=low

  * add new HURD/kFreeBSD fixes and consolidate them into a single patch

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 02 Jan 2012 02:17:20 -0500

pd-cyclone (0.1~alpha55-5) unstable; urgency=low

  * include upstream Makefile.common to fix on GNU and kFreeBSD kernels

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 01 Jan 2012 15:30:37 -0500

pd-cyclone (0.1~alpha55-4) unstable; urgency=low

  * fixed Depends to use new puredata 0.43 package suite
  * take upstream Makefile to fix building on GNU/Hurd and kFreeBSD

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 01 Jan 2012 00:26:09 -0500

pd-cyclone (0.1~alpha55-3) unstable; urgency=low

  * updated Build-Depends to use puredata-dev when available
        (Closes: #629705)
  * bumped standards version to 3.9.2

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 10 Jun 2011 12:34:06 -0400

pd-cyclone (0.1~alpha55-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Tidy long description:
    + Fix typo.
    + Drop remark irrelevant without hyperlink.
    + Rewrap at 72 chars, and use double-space after full-stop.

  [ Hans-Christoph Steiner ]
  * split out cyclist into its own package using debian/tmp+dh_install

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 23 Dec 2010 00:56:53 -0500

pd-cyclone (0.1~alpha55-1) unstable; urgency=low

  [ Hans-Christoph Steiner ]
  * Initial release.
    Closes: bug#602994.

  [ Felipe Sateler ]
  * Use CDBS instead of long-form debhelper.

  [ Jonas Smedegaard ]
  * Tighten packaging (e.g. relax build-dependencies), thanks to CDBS.
  * Tighten copyright file, thanks to CDBS copyright-check routine.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 10 Dec 2010 10:48:26 +0100
