=== debian/control ===
Source: pd-cyclone
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Felipe Sateler <fsateler@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
 IOhannes m zmölnig <zmoelnig@iem.at>
Build-Depends: cdbs (>= 0.4.91~),
 debhelper,
 dh-buildinfo,
 puredata-dev
Standards-Version: 3.9.5
Homepage: http://suita.chopin.edu.pl/~czaja/miXed/externs/cyclone.html
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-cyclone.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-cyclone.git

Package: pd-cyclone
Architecture: any
Depends: ${shlibs:Depends},
 puredata-core | pd,
 pd-libdir,
 ${misc:Depends}
Recommends: pd-import,
 pd-pddp,
 cyclist
Description: Pd library of clones of Max/MSP 4.5 objects
 Cyclone is a library of PureData classes, bringing some level of
 compatibility between Max/MSP and Pd environments.  Although being
 itself in the early stage of development, it is meant to eventually
 become part of a much larger project, aiming at unification and
 standardization of computer musician's tools.
 .
 In its current form, cyclone is mainly for people using both Max and
 Pd, and thus wanting to develop cross-platform patches.  In this
 respect, cyclone has much in common with Thomas Grill's flext, and
 flext-based externals.  While flext enables developing new
 cross-platform classes, cyclone makes existing classes cross-platform.
 .
 Cyclone also comes handy, somewhat, in the task of importing Max/MSP
 patches into Pd.  Do not expect miracles, though, it is usually not an
 easy task.

Package: cyclist
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: pd-cyclone
Description: Utility for converting Max/MSP binary patches to text
 cyclist is a command line utility for converting the .mxb binary format for
 Max/MSP patches into the .mxt/.pat text format.  It is part of the Cyclone
 library for Pure Data, which aims to bring some level of compatibility
 between the Max/MSP and Pd environments. Although being itself in the early
 stage of development, it is meant to eventually become part of a much larger
 project, aiming at unification and standardization of computer musician's
 tools.
 .
 In its current form, cyclone is mainly for people using both Max and Pd, and
 thus wanting to develop cross-platform patches. In this respect, cyclone has
 much in common with Thomas Grill's flext, and flext-based externals. While
 flext enables developing new cross-platform classes, cyclone makes existing
 classes cross-platform.
 .
 Cyclone also comes handy, somewhat, in the task of importing Max/MSP patches
 into Pd. Do not expect miracles, though, it is usually not an easy task.
