=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/pd.mk


## use hardening some flags
DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS=hardening=-format,+fortify,+stackprotector,+relro
export DEB_BUILD_MAINT_OPTIONS
include /usr/share/dpkg/buildflags.mk

# Relax inclusion of optional features to ease backporting
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_MAKE_MAKEFILE = Makefile.libdir
DEB_BUILDDIR = cyclone
DEB_MAKE_INSTALL_TARGET = DESTDIR=$(CURDIR)/debian/tmp \
			  prefix=/usr pkglibdir=$(pkglibdir) install

DEB_MAKE_EXTRA_ARGS = \
	EXTRA_CFLAGS="$(CPPFLAGS) -I$(CURDIR)/shared -I/usr/include/pd $(CFLAGS)" \
	EXTRA_LFLAGS="$(LDFLAGS)"

LIBRARY_NAME = cyclone
PACKAGE = pd-$(LIBRARY_NAME)
pkglibdir = /usr/lib/pd/extra

clean::
	$(MAKE) clean
	-rm -f cyclone/Makefile.deps
	-rm -f cyclone/hammer/Makefile.deps
	-rm -f cyclone/shadow/Makefile.deps
	-rm -f cyclone/sickle/Makefile.deps
	-rm -f pddp/Makefile.deps shared/Makefile.deps shared/common/Makefile.deps
	-rm -f shared/hammer/Makefile.deps shared/sickle/Makefile.deps
	-rm -f shared/toxy/Makefile.deps shared/unstable/Makefile.deps
	-rm -f toxy/Makefile.deps
