=== debian/watch ===
# process with `uscan`
version=3
opts=uversionmangle=s/-src/.src/;s/(\d)-(alpha)/$1~$2/ \
http://sf.net/pure-data/cyclone-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
