=== debian/changelog ===
pd-cyclone (0.2~beta1-2) unstable; urgency=medium

  * Disable optimization flags (fixes FTBFS on armel)
  * Bumped standards version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 04 Feb 2016 21:29:43 +0100

pd-cyclone (0.2~beta1-1) unstable; urgency=medium

  * Imported Upstream version 0.2~beta1 (Closes: #792721)

  * debian/patches
    * Removed patches applied upstream
    * Patch to honour LDFLAGS
  * Alternative B-D on puredata
  * Depend on 'puredata' rather than 'puredata-core'
  * Demote dependency on pd-libdir to Recommends
  * Cleaned up debian/rules
    * Pass hardening-flags
  * Build and install cyclist
    * temporary Makefile to build cyclist
    * Pass build-flags to cyclist-makefile
  * Watch github repository of main fork
  * Updated Vcs-* stanzas
  * Added debian/git-tuneclone.sh script (see README.source)
  * Updated debian/copyright
  * Regenerated debian/(control|copyright_hints)
  * Fixed my uploader's name
  * Bumped Standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Jan 2016 10:00:25 +0100
