=== debian/control ===
--- 
+++ 
@@ -2,25 +2,30 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Felipe Sateler <fsateler@debian.org>,
+Uploaders: Hans-Christoph Steiner <hans@eds.org>,
+ Felipe Sateler <fsateler@debian.org>,
  Jonas Smedegaard <dr@jones.dk>,
- IOhannes m zmölnig <zmoelnig@iem.at>
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: cdbs (>= 0.4.91~),
  debhelper,
  dh-buildinfo,
- puredata-dev
-Standards-Version: 3.9.5
+ devscripts,
+ dpkg-dev (>= 1.16.1~),
+ puredata-dev | puredata
+Standards-Version: 3.9.7
 Homepage: http://suita.chopin.edu.pl/~czaja/miXed/externs/cyclone.html
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-cyclone.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-cyclone.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-cyclone.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-cyclone.git
 
 Package: pd-cyclone
 Architecture: any
-Depends: ${shlibs:Depends},
- puredata-core | pd,
+Depends:
+ puredata | pd,
+ ${shlibs:Depends},
+ ${misc:Depends}
+Recommends:
  pd-libdir,
- ${misc:Depends}
-Recommends: pd-import,
+ pd-import,
  pd-pddp,
  cyclist
 Description: Pd library of clones of Max/MSP 4.5 objects
