=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2016 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for pd-cyclone
#
# The Standard Improved BSD License applies.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

CFLAGS+=$(CPPFLAGS)
DEB_MAKE_EXTRA_ARGS+=arch.flags=""


DEB_MAKE_INSTALL_TARGET = DESTDIR=$(DEB_DESTDIR) \
			  prefix=/usr pkglibdir=$(pkglibdir) install

pkglibdir = /usr/lib/pd/extra

clean::
	$(MAKE) clean
	rm -f cyclist

build/cyclist::
	$(MAKE) -f debian/Makefile.cyclist \
		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
