=== debian/watch ===
# process with uscan(1)
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pd-cyclone-$1\.tar\.gz/,uversionmangle=s/(alpha|beta)/~$1/ \
  https://github.com/electrickery/pd-cyclone/tags .*/v?(\d\S*)\.tar\.gz
