## pd-cyclone 0.2~beta3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 uname := $(shell uname -s)
 ifeq (MINGW,$(findstring MINGW,$(uname)))
-    ldlibs += -lpthread
+    exe.extension = .exe
 endif
 
 ################################################################################
@@ -334,6 +334,7 @@
 svf~.class.sources := sickle/svf.c $(ssic)
 tanh~.class.sources := sickle/tanh.c $(ssic)
 tanx~.class.sources := sickle/tanx.c $(ssic)
+teeth~.class.sources := sickle/teeth.c $(ssic)
 train~.class.sources := sickle/train.c $(ssic)
 trapezoid~.class.sources := sickle/trapezoid.c $(ssic)
 triangle~.class.sources := sickle/triangle.c $(ssic)
@@ -352,8 +353,7 @@
 help/voice.wav \
 LICENSE.txt \
 README.md \
-cyclone-meta.pd \
-$(wildcard abstractions/*.pd)
+cyclone-meta.pd
 
 
 ################################################################################
