=== debian/changelog ===
pd-cyclone (0.2~beta3-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Remove obsolete file d/source/local-options
  * Fixed spelling error in patch-description
  * Add salsa-ci configuration
  * Add lintian overrides for false-positive "library-not-linked-against-libc"
  * Declare that building this package does not require 'root' powers.
  * Bump dh-compat to 13
    * Keep dh_missing happy
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Aug 2020 18:26:22 +0200

pd-cyclone (0.2~beta3-4) unstable; urgency=medium

  * Patch to include required standard headers
  * Switched to system-provided Makefile.pdlibbuilder
    * Patch to use system-provided pd-lib-builder
    * Pass build-flags to all 'make' invocations

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2018 14:38:27 +0100

pd-cyclone (0.2~beta3-3) unstable; urgency=medium

  * Enabled hardening
  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Dropped unneeded B-Ds
  * Switched URLs to https://
  * Updated maintainer address
  * Updated Vcs-* stanzas to salsa.d.o
  * Removed trailing whitespace in debian/*
  * Dropped obsolete d/git-tuneclone.sh
  * Updated d/copyright(_hints)
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:01:14 +0100

pd-cyclone (0.2~beta3-2) unstable; urgency=medium

  * Fixed symlinks to README.md (Closes: #857156)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 13 Mar 2017 15:19:53 +0100

pd-cyclone (0.2~beta3-1) unstable; urgency=medium

  * New upstream version 0.2~beta3

  * Removed cludge to manually build cyclist
  * Don't include cyclist binary in pd-cyclone
  * One line per multi-value-field value
  * Update d/copyright
  * Regenerated d/copyright_hints & d/control
  * Bumped debhelper compat to 9

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Nov 2016 12:41:02 +0100

pd-cyclone (0.2~beta2-1) unstable; urgency=medium

  * New upstream version 0.2~beta2

  [ IOhannes m zmölnig ]
  * Dropped patches applied upstream.
  * Bumped standards version to 3.9.8

  [ Felipe Sateler ]
  * Dropped myself from uploaders.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 24 Aug 2016 22:01:50 +0200
