=== debian/control ===
--- 
+++ 
@@ -1,33 +1,32 @@
 Source: pd-cyclone
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>,
- Felipe Sateler <fsateler@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: cdbs (>= 0.4.91~),
- debhelper,
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
  dh-buildinfo,
- devscripts,
  dpkg-dev (>= 1.16.1~),
- puredata-dev | puredata
-Standards-Version: 3.9.7
-Homepage: http://suita.chopin.edu.pl/~czaja/miXed/externs/cyclone.html
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-cyclone.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-cyclone.git
+ puredata-dev | puredata,
+ pd-lib-builder,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://suita.chopin.edu.pl/~czaja/miXed/externs/cyclone.html
+Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-cyclone.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-cyclone
 
 Package: pd-cyclone
 Architecture: any
 Depends:
  puredata | pd,
  ${shlibs:Depends},
- ${misc:Depends}
+ ${misc:Depends},
 Recommends:
  pd-libdir,
  pd-import,
  pd-pddp,
- cyclist
+ cyclist,
 Description: Pd library of clones of Max/MSP 4.5 objects
  Cyclone is a library of PureData classes, bringing some level of
  compatibility between Max/MSP and Pd environments.  Although being
@@ -47,9 +46,11 @@
 
 Package: cyclist
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Suggests: pd-cyclone
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Suggests:
+ pd-cyclone,
 Description: Utility for converting Max/MSP binary patches to text
  cyclist is a command line utility for converting the .mxb binary format for
  Max/MSP patches into the .mxt/.pat text format.  It is part of the Cyclone
